changeset 331:b8ea61f3b442

mod_admin_web: Get strophe.js from tarball instead of git (Thanks darkrain)
author Florian Zeitz <florob@babelmonkeys.de>
date Thu, 03 Feb 2011 22:22:11 +0100
parents ee85698096b0
children d9c1231db77b
files mod_admin_web/admin_web/get_deps.sh
diffstat 1 files changed, 4 insertions(+), 3 deletions(-) [+]
line wrap: on
line diff
--- a/mod_admin_web/admin_web/get_deps.sh	Thu Feb 03 21:54:11 2011 +0100
+++ b/mod_admin_web/admin_web/get_deps.sh	Thu Feb 03 22:22:11 2011 +0100
@@ -2,6 +2,7 @@
 cd www_files/js
 test -e jquery-1.4.4.min.js || wget http://code.jquery.com/jquery-1.4.4.min.js
 test -e adhoc.js || wget http://cgit.babelmonkeys.de/cgit.cgi/adhocweb/plain/js/adhoc.js
-test -e strophe.js || (git clone git://github.com/metajack/strophejs.git strophejs && \
-	cd strophejs && make strophe.js && cp strophe.js ../strophe.js && \
-	cd .. && rm -rf strophejs)
+test -e strophe.js || (wget --no-check-certificate https://github.com/metajack/strophejs/tarball/release-1.0.1 && \
+	tar xzf *.tar.gz && rm *.tar.gz && cd metajack-strophejs* && make strophe.js && cp strophe.js ../strophe.js && \
+	cd .. && rm -rf metajack-strophejs*)
+